<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
$sessao = new sessao();
$finalidade=$sessao->getVar('finalidade');
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
//$anoCorrente=$sessao->getVar('anocorrente');
$anoCorrente=$sessao->getVar('controle');
$anoAmostra=$anoCorrente;
$nomeOperador=$sessao->getVar('nomeuser');
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',7);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 //$maximoHAdobe=210;//isso para horizontal
			 //$maximoLAdobe=297;//isso para horizontal

		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-20;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     //$fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 




             $cota1=0;
 
			 $pdf->AddPage();//adicionando a primera pafina 
 
			 //cabecalho
			 	$posicaoCab1=61;$posicaoCab2=245;
	            $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
	            $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
				$pdf->setXY($posicaoCab1,$cota1);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[0]),0,1,'L');//lab nome
     			$pdf->setXY($posicaoCab1,$cota1+5);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[1]),0,1,'L');//lab nome
     			$pdf->setXY($posicaoCab1,$cota1+10);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[2]),0,1,'L');//lab nome
                $cota1=40;
				$pdf->setXY($margemEsquerda,$cota1);
                $hoje=date('Y-m-d');
                $hojeBrasil=date('d/m/Y');
				$pdf->Cell($larguraUtil-34,5,utf8_decode('Relatório mensal de atividades-RMA do ano:' . $anoCorrente .'  Data emissão:').$hojeBrasil,1,1,'L',1);//lab nome
                //cabecalho
                $matrizRMA[0][1]="Mes";
                $matrizRMA[0][2]="Recebidas";
                $matrizRMA[0][3]="Analisadas";
                $matrizRMA[0][4]="Ensaios";
                $cota1=50;
				$pdf->setXY($margemEsquerda,$cota1);
				$pdf->Cell(40,5,utf8_decode($matrizRMA[0][1]),1,0,'L');//cabecalho
				$pdf->Cell(40,5,utf8_decode($matrizRMA[0][2]),1,0,'L');//cabecalho
				$pdf->Cell(40,5,utf8_decode($matrizRMA[0][3]),1,0,'L');//cabecalho
				$pdf->Cell(40,5,utf8_decode($matrizRMA[0][4]),1,1,'L');//cabecalho(so neste tem a quqbra)

                $matrizRMA[1][1]="Janeiro";
                $matrizRMA[2][1]="Fevereiro";
                $matrizRMA[3][1]="Março";
                $matrizRMA[4][1]="Abril";
                $matrizRMA[5][1]="Maio";
                $matrizRMA[6][1]="Junho";
                $matrizRMA[7][1]="Julho";
                $matrizRMA[8][1]="Agosto";
                $matrizRMA[9][1]="Setembro";
                $matrizRMA[10][1]="Outubro";
                $matrizRMA[11][1]="Novembro";
                $matrizRMA[12][1]="Dezembro";
				$userAmostra=new tabelagenerica();
			 	$generica=new tabelagenerica();


                for($mes=1;$mes<=12;$mes++):
				    //localiza amostras recebidas
					$userAmostra->extras_select =" select fic_id from ficha where  month(fic_dt_entrada) = '". $mes."' and  year(fic_dt_entrada) = '". $anoCorrente."'  and fic_labo=".$idLabo;
					$userAmostra->selecionaCamposEspecial($userAmostra);
                    $contaRegistros=0;  
				    //vai verificar quanto resitros foram feitos hoje
					$contaRegistros=0;
				    while ($resAmostra = $userAmostra->retornaDados()):
					    $contaRegistros++;
                    endwhile;
                    $matrizRMA[$mes][2]=$contaRegistros;
					
					
                    //conta amostras analisadas/////////////
					$generica->tabela="documentos,ficha,documentosponte,especies,cultivar";
					$generica->campos_valores = array(
							"fic_id" => NULL,
							"esp_nome" => NULL,
						);
					$generica->extras_select =" where    doc_labo=".$idLabo." and esp_id=ctv_especie and ctv_id=fic_cultivar and dpo_amostra_vinculada=fic_id && dpo_documento_autonumerador=doc_id &&  year(doc_data)='".$anoCorrente."'  and MONTH(doc_data)='".$mes."'";
					//echo("rrrrrrgenerica=$generica->extras_select<br>");
					$contaRegistros=0;
				    $generica->selecionaCampos($generica);
					$analisesAcumuladas=0;
                    $matrizRMA[$mes][3]='0';
                    $matrizRMA[$mes][4]='0';
					while ($resgenerica = $generica->retornaDados()):
					    $contaRegistros++;
                        //conta ensaios
						$especie=trim($resgenerica->esp_nome);
                        $fator=10;
                        if($especie =='SOJA')$fator=12; 
                        if($especie =='TRIGO') $fator=12; 
                        if($especie =='MILHO') $fator=12; 
                        if($especie =='ARROZ') $fator=12; 
                        $analisesAcumuladas+=$fator; 
                        $matrizRMA[$mes][3]=$contaRegistros;
                        $matrizRMA[$mes][4]=$analisesAcumuladas;
                    endwhile;    

				    $pdf->Cell(40,5,utf8_decode($matrizRMA[$mes][1]),1,0,'L');//mes
				    $pdf->Cell(40,5,utf8_decode($matrizRMA[$mes][2]),1,0,'L');//recebidas
				    $pdf->Cell(40,5,utf8_decode($matrizRMA[$mes][3]),1,0,'L');//analisadas
				    $pdf->Cell(40,5,utf8_decode($matrizRMA[$mes][4]),1,1,'L');//(so neste tem a quqbra)
				    //$pdf->Cell(40,5,utf8_decode('soja'),1,1,'L');//(so neste tem a quqbra)


         		endfor;//fecha o fornext do mes		



	 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
 	$nome=$vetorTecnico[1];//nome do rt
    $credencial="RENASEM:".$vetorTecnico[3]."  CREA:".$vetorTecnico[2];	
    $funcaoRT=$vetorTecnico[7];  //cargo responsavel tecnico substituto etc
    $pdf->setXY(70,150); $pdf->Cell(90,5,utf8_decode($nome),0,1,'C');//(so neste tem a quqbra)
    $pdf->setXY(70,155); $pdf->Cell(90,5,utf8_decode($credencial),0,1,'C');//(so neste tem a quqbra)
    $pdf->setXY(70,160); $pdf->Cell(90,5,utf8_decode($funcaoRT),0,1,'C');//(so neste tem a quqbra)


//IMPRIME meu nome
$pdf->SetFont('Arial','',7);
$pdf->setXY(10,$futer);
$pdf->Cell($larguraUtil,4,utf8_decode('SilasNet - Oto C. Gugeler Integral Agronet 34-3212.6384'),0,0,'L');//natureza




ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
